> For AI agents: the complete documentation index is available at [llms.txt](https://docs.snaptrade.com/llms.txt). Markdown versions of documentation pages are available by appending .md to the URL path.

# Get Client Info

GET https://api.snaptrade.com/snapTrade/partners

Returns configurations for your SnapTrade Client ID, including allowed brokerages and data access.

Reference: https://docs.snaptrade.com/reference/Reference%20Data/ReferenceData_getPartnerInfo

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.referenceData.getPartnerInfo();
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.reference_data.get_partner_info()
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /snapTrade/partners:
    get:
      tags:
        - Reference Data
      summary: Get Client Info
      description: >-
        Returns configurations for your SnapTrade Client ID, including allowed
        brokerages and data access.
      operationId: ReferenceData_getPartnerInfo
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: >-
                  Configurations for your SnapTrade Client ID, including allowed
                  brokerages and data access.
                type: object
                properties:
                  slug:
                    type: string
                    description: A short, unique identifier for your company or product.
                    example: WEALTHLY
                  name:
                    type: string
                    description: Your company or product name.
                    example: Wealthly
                  logo_url:
                    type: string
                    description: >-
                      URL to your company or product logo. Returns null if no
                      logo has been configured (always the case for personal
                      access clients).
                    example: https://example.com/logo.png
                    nullable: true
                  allowed_brokerages:
                    type: array
                    description: Brokerages that can be accessed by your Client ID.
                    items:
                      description: Describes a brokerage that SnapTrade supports.
                      type: object
                      properties:
                        id:
                          description: >-
                            Unique identifier for the brokerage firm. This is
                            the UUID used to reference the brokerage in
                            SnapTrade.
                          type: string
                          format: uuid
                          example: ebf91a5b-0920-4266-9e36-f6cfe8c40946
                        slug:
                          description: >-
                            A short, unique identifier for the brokerage. It is
                            usually the name of the brokerage in capital letters
                            and will never change.
                          type: string
                          example: ROBINHOOD
                        name:
                          description: Full name of the brokerage.
                          type: string
                          example: Robinhood
                        display_name:
                          description: A display-friendly name of the brokerage.
                          type: string
                          example: Robinhood
                        description:
                          description: A brief description of the brokerage.
                          type: string
                          example: >-
                            Robinhood is an American multinational financial
                            services corporation based in Menlo Park,
                            California.
                        aws_s3_logo_url:
                          description: URL to the brokerage's logo.
                          type: string
                          format: url
                          example: >-
                            https://passiv-brokerage-logos.s3.ca-central-1.amazonaws.com/robinhood-logo.png
                        aws_s3_square_logo_url:
                          description: URL to the brokerage's logo in square format.
                          type: string
                          format: url
                          example: >-
                            https://passiv-brokerage-logos.s3.ca-central-1.amazonaws.com/robinhood-logo-square.png
                          nullable: true
                        url:
                          description: >-
                            URL to the brokerage's website. Returns null if the
                            brokerage has no website on record.
                          type: string
                          format: url
                          example: https://robinhood.com
                          nullable: true
                        enabled:
                          description: >-
                            Whether the brokerage is enabled in SnapTrade. A
                            disabled brokerage will not be available for new
                            connections.
                          type: boolean
                          example: true
                        maintenance_mode:
                          description: >-
                            Whether the brokerage is currently in maintenance
                            mode. A brokerage in maintenance mode will not be
                            available for new connections.
                          type: boolean
                          example: true
                        is_degraded:
                          description: >-
                            Whether the brokerage is currently degraded. A
                            degraded brokerage may have reduced functionality or
                            be experiencing technical issues.
                          type: boolean
                          example: true
                        allows_trading:
                          description: >-
                            Whether the brokerage allows trading through
                            SnapTrade.
                          type: boolean
                          nullable: true
                          example: true
                        allows_fractional_units:
                          deprecated: true
                          description: >-
                            This field is deprecated. Please contact us if you
                            have a valid use case for it.
                          type: boolean
                          nullable: true
                          example: true
                        has_reporting:
                          deprecated: true
                          description: >-
                            This field is deprecated. Please contact us if you
                            have a valid use case for it.
                          type: boolean
                          nullable: true
                          example: true
                        is_real_time_connection:
                          deprecated: true
                          description: >-
                            This field is deprecated. Please contact us if you
                            have a valid use case for it.
                          type: boolean
                          example: true
                        brokerage_type:
                          description: >-
                            Type of brokerage. Currently supports traditional
                            brokerages and crypto exchanges.
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                            name:
                              type: string
                              example: Traditional Brokerage
                        exchanges:
                          deprecated: true
                          description: >-
                            This field is deprecated. Please contact us if you
                            have a valid use case for it.
                          type: array
                          items: {}
                          example:
                            - 2bcd7cc3-e922-4976-bce1-9858296801c3
                            - 4bcd8cc3-c122-4974-dc21-1858296801f4
                        open_url:
                          deprecated: true
                          description: This field is deprecated.
                          type: string
                          format: url
                          nullable: true
                  can_access_trades:
                    type: boolean
                    description: Whether trading is enabled for your SnapTrade Client ID.
                    example: true
                  can_access_holdings:
                    type: boolean
                    description: >-
                      Whether holdings data is enabled for your SnapTrade Client
                      ID.
                    example: true
                  can_access_account_history:
                    type: boolean
                    description: >-
                      Whether account historical transactions is enabled for
                      your SnapTrade Client ID.
                    example: true
                  can_access_reference_data:
                    type: boolean
                    description: >-
                      Whether reference data is enabled for your SnapTrade
                      Client ID.
                    example: true
                  can_access_portfolio_management:
                    type: boolean
                    description: >-
                      Whether portfolio management is enabled for your SnapTrade
                      Client ID.
                    example: true
                  can_access_orders:
                    type: boolean
                    description: >-
                      Whether recent order history is enabled for your SnapTrade
                      Client ID.
                    example: true
                  redirect_uri:
                    type: string
                    description: >-
                      URI to redirect user back to after user is done adding
                      brokerage connections. Returns null if no redirect URI has
                      been configured (always the case for personal access
                      clients).
                    example: https://example.com/oauth/snaptrade
                    nullable: true
                  pin_required:
                    deprecated: true
                    type: boolean
                    description: >-
                      Shows if pin is required by users to access connection
                      page. This field has been deprecated.
                    example: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: Example for failed request response
                type: object
                properties:
                  default_detail:
                    example: Unable to verify data sent
                  default_code:
                    example: 1076
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Example for failed request response
                type: object
                properties:
                  default_detail:
                    example: Unable to verify signature sent
                  default_code:
                    example: 1076
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Example for failed request response
                type: object
                properties:
                  default_detail:
                    example: The requested resource does not exist.
                  default_code:
                    example: 1011
        '500':
          description: Unexpected Error

```